%define upstream_name    Pod-HTML2Pod
%define upstream_version 4.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Translate HTML into POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Element)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(UNIVERSAL)
BuildRequires: perl(integer)
BuildArch: noarch

%description
Larry Wall once said (1999-08-27, on the 'pod-people' list, I do believe):
"The whole point of pod is to get people to document stuff they wouldn't
document in any other form."

To that end, I wrote this module so that people who are unpracticed with
POD but in a hurry to simply document their programs or modules, could
write their documentation in simple HTML, and convert that to POD. That's
what this module does.

Specifically, this module bends over backwards to try to turn even vaguely
plausable HTML into POD -- and when in doubt, it simply ignores things that
it doesn't know about, or can't render.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/html2pod



%changelog
* Wed Jul 12 2017 bb2 <bb2> - 4.50.0-7pclos2017
- rebuild against updates

